/****************************************************************
 AttrValuePair.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_AttrValuePair_H
#define INCL_AttrValuePair_H

#include <iostream>
using namespace std;

class AttrValuePair
{
  int attribute;
  double value;
public:
  AttrValuePair(int attribute,double value);
  AttrValuePair(int attribute,int value);
  int getAttribute();
  double getFloatValue();
  int getIntValue();
  void printOn(ostream &);
};

ostream &operator<<(ostream &,AttrValuePair &p);

#endif
