/****************************************************************
 AttributeIterator.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_AttributeIterator_H
#define INCL_AttributeIterator_H

#include "AttrValuePair.H"
#include "AttrRangeTable.H"

class AttributeIterator
{
  Schema &schema;
  TigrArray1D<ValueArray*> &arrays;
  int currentAttribute;
  ValueArray *currentArray;
  int currentArrayIndex;
  bool done;
public:
  AttributeIterator(AttrRangeTable &);//calls reset()
  void reset();
  bool hasMoreElements();
  AttrValuePair currentElement();
  void advance();
};


#endif
