/****************************************************************
 Distribution.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Distribution_H
#define INCL_Distribution_H

#include "tigr++/TigrArray1D.H"

class Distribution
{
  TigrArray1D<float> array;
public:
  Distribution(int numCategories);
  float &operator[](int);
  int getNumCategories();
  void setAllTo(float);
  int mostPopularCategory();
};

#endif
