/****************************************************************
 ActivationRecord.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "ActivationRecord.H"
#include <iostream>
using namespace std;

ActivationRecord::ActivationRecord(int numVariables,int stackDepth)
  : variables(numVariables), stackDepth(stackDepth)
{
  // ctor
}



int ActivationRecord::numVariables()
{
  return variables.size();
}



float &ActivationRecord::operator[](int i)
{
  return variables[i];
}



int ActivationRecord::getStackDepth()
{
  return stackDepth;
}


