/****************************************************************
 ActivationRecord.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_ActivationRecord_H
#define INCL_ActivationRecord_H

#include "tigr++/TigrArray1D.H"

class ActivationRecord
{
  TigrFloatArray1D variables;
  int stackDepth;
public:
  ActivationRecord(int numVariables,int stackDepth=0);
  int numVariables();
  float &operator[](int);
  int getStackDepth();
};


#endif
