/****************************************************************
 CrosserOver.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_CrosserOver_H
#define INCL_CrosserOver_H

#include "Individual.H"
#include "CrossPtCollector.H"

class CrosserOver
{
  CrossPtCollector crossPtCollector;
  CrossoverPoint selectCrossoverPoint(Individual &,int treeNum);
  void enforceHeightLimit(Individual *&child,int maxHeight,
			  const Individual *parent);
public:
  CrosserOver();
  void crossover(const Individual *mother,const Individual *father,
		 Individual *&daughter,Individual *&son);
};


#endif
