/****************************************************************
 IndividualBuilder.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_IndividualBuilder_H
#define INCL_IndividualBuilder_H

#include "tigr++/TigrVector.H"
#include "Individual.H"
#include "TreeBuilder.H"

class IndividualBuilder
{
  TreeBuilder treeBuilder;
public:
  IndividualBuilder(SymbolSet &);
  Individual *buildIndividual(int treeHeight);
  TreeBuilder &getTreeBuilder();
};


#endif
