/****************************************************************
 PopulationBuilder.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_PopulationBuilder_H
#define INCL_PopulationBuilder_H

#include "Population.H"
#include "tigr++/TigrVector.H"
#include "TreeNode.H"
#include "IndividualBuilder.H"
#include "SymbolSet.H"

class PopulationBuilder
{
  IndividualBuilder individualBuilder;
public:
  PopulationBuilder(SymbolSet &);
  Population *buildPopulation(int populationSize,int minHeight,
			      int maxHeight);
};


#endif
