/****************************************************************
 SymbolSet.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_SymbolSet_H
#define INCL_SymbolSet_H

#include "TreeNode.H"
#include "tigr++/TigrVector.H"

class SymbolSet
{
  TigrVector<TreeNode*> nonterminals, terminals;
public:
  SymbolSet();
  void addNonterminal(TreeNode *);
  void addTerminal(TreeNode *);
  TigrVector<TreeNode*> &getNonterminals();
  TigrVector<TreeNode*> &getTerminals();
  TreeNode *randomTerminal();
  TreeNode *randomNonterminal();
};


#endif
