/****************************************************************
 TreeBuilder.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_TreeBuilder_H
#define INCL_TreeBuilder_H

#include "tigr++/TigrVector.H"
#include "TreeNode.H"
#include "SymbolSet.H"

class TreeBuilder
{
  SymbolSet &symbolSet;
public:
  TreeBuilder(SymbolSet &);
  TreeNode *buildTree(int height);
};


#endif
