/****************************************************************
 FeatureF.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_FeatureF_H
#define INCL_FeatureF_H

#include "tigr++/TigrComparator.H"


struct FeatureF
{
  int featureNum; // = attribute number
  float F; // F=groupMS/errorMS

  FeatureF(int n,float f);
};



class FeatureComparator : public TigrComparator<FeatureF*>
{
  virtual bool equal(FeatureF *&,FeatureF *&);
  virtual bool greater(FeatureF *&,FeatureF *&);
  virtual bool less(FeatureF *&,FeatureF *&);
};


#endif
