/****************************************************************
 TrainingCase.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "TrainingCase.H"
#include <iostream>


TrainingCase::TrainingCase(int numAttributes)
  : Case(numAttributes)
{
  // ctor
}



void TrainingCase::setCategory(int c)
{
  category=c;
}



int TrainingCase::getCategory()
{
  return category;
}



void TrainingCase::printOn(ostream &os)
{
  Case::printOn(os);
  os << category;
}



ostream &operator<<(ostream &os,const TrainingCase &c)
{
  ((TrainingCase &)c).printOn(os);
  return os;
}
