/****************************************************************
 Discretizer.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "Discretizer.H"

Discretizer::Discretizer(float minValue,float bucketSize)
  : minValue(minValue), bucketSize(bucketSize)
{
  // ctor
}



int Discretizer::discretize(float value)
{
  return int((value-minValue)/bucketSize);
}



