#!/usr/bin/perl
use strict;

my ($c45won,$oc1won,$netwon,$total,$ties,$c45lost,$oc1lost,$netlost);
while(<STDIN>)
  {
    my @fields=split/\s+/,$_;
    next unless @fields==8;
    my ($name,$rnd,$maj,$c45,$oc1OB,$net,$oc1AP,$oc1)=@fields;
    if($c45>$oc1 && $c45>$net) {++$c45won}
    if($oc1>$c45 && $oc1>$net) {++$oc1won}
    if($net>$c45 && $net>$oc1) {++$netwon}
    if($c45<$oc1 || $c45<$net) {++$c45lost}
    if($oc1<$c45 || $oc1<$net) {++$oc1lost}
    if($net<$c45 || $net<$oc1) {++$netlost}
    if($net==$c45 || $net==$oc1 || $c45==$oc1) {++$ties}
    ++$total;
  }

my $percentC45=int(100*$c45won/$total+0.5);
my $percentOC1=int(100*$oc1won/$total+0.5);
my $percentNet=int(100*$netwon/$total+0.5);

print "C4.5: won $c45won times ($percentC45%)\n";
print "OC1 : won $oc1won times ($percentOC1%)\n";
print "NET : won $netwon times ($percentNet%)\n";
print "      (there were $ties ties)\n";

my $percentC45=int(100*$c45lost/$total+0.5);
my $percentOC1=int(100*$oc1lost/$total+0.5);
my $percentNet=int(100*$netlost/$total+0.5);
print "C4.5: lost $c45lost times ($percentC45%)\n";
print "OC1 : lost $oc1lost times ($percentOC1%)\n";
print "NET : lost $netlost times ($percentNet%)\n";



