/****************************************************************
 NeuralCase.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NeuralCase_H
#define INCL_NeuralCase_H

#include "tigr++/TigrArray1D.H"

class NeuralCase
{
  TigrDblArray1D inputs, outputs;
  int category;
public:
  NeuralCase(int numInputs,int numOutputs);
  ~NeuralCase();
  void setInput(int index,double value);
  void setOutput(int index,double value);
  double getInput(int index);
  double getOutput(int index);
  void setCategory(int);
  int getCategory();
};

#endif
