/****************************************************************
 Discriminator.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Discriminator_H
#define INCL_Discriminator_H

#include "tigr++/TigrDblMatrix.H"
#include "../Case.H"
#include <iostream>

class Discriminator
{
  TigrDblMatrix A;
public:
  Discriminator(TigrDblMatrix &);
  int operator()(Case &);
  void printOn(ostream &) const;
};

ostream &operator<<(ostream &,const Discriminator &);

#endif
