/****************************************************************
 Case.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Case_H
#define INCL_Case_H

#include "tigr++/TigrArray1D.H"
#include <iostream>

class Case
{
  TigrArray1D<double> array;
public:
  Case(int numAttributes);
  double getContinuous(int attrNum);
  int getDiscrete(int attrNum);
  void setContinuous(int attrNum,double);
  void setDiscrete(int attrNum,int);
  int getNumAttributes();
  virtual void printOn(ostream &);
  void resize(int newSize);
};

ostream &operator<<(ostream &,const Case &);

#endif
