/****************************************************************
 Classifier.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Classifier_H
#define INCL_Classifier_H

#include "DecisionTree.H"
#include "../Case.H"
#include "../Schema.H"

class Classifier
{
  DecisionTree tree;
  Schema &schema;

  bool eval(Case &,PredicateNode &);
public:
  Classifier(DecisionTree,Schema &);
  int classify(Case &);
};


#endif
