/****************************************************************
 ClassifiedAR.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "ClassifiedAR.H"
#include <iostream>
using namespace std;

ClassifiedAR::ClassifiedAR(TrainingCase &tc)
  : ar(tc.getNumAttributes()), category(tc.getCategory())
{
  // ctor

  int i;
  for(i=0 ; i<tc.getNumAttributes() ; ++i)
    ar[i]=tc.getContinuous(i);
}



ActivationRecord &ClassifiedAR::getAR()
{
  return ar;
}



int ClassifiedAR::getCategory()
{
  return category;
}


