/****************************************************************
 CrossPtCollector.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_CrossPtCollector_H
#define INCL_CrossPtCollector_H

#include "tigr++/TigrVector.H"
#include "CrossoverPoint.H"

class CrossPtCollector
{
  void addPointsRecurs(TreeNode &,TigrVector<CrossoverPoint> &,int depth);
public:
  CrossPtCollector();
  TigrVector<CrossoverPoint> *collectPoints(TreeNode *);
};


#endif
