/****************************************************************
 Mutator.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Mutator_H
#define INCL_Mutator_H

#include "tigr++/TigrVector.H"
#include "TreeNode.H"
#include "CrossPtCollector.H"
#include "Individual.H"
#include "SymbolSet.H"

class Mutator
{
  SymbolSet &symbolSet;
  CrossPtCollector crossPtCollector;
public:
  Mutator(SymbolSet &);
  Individual *mutate(Individual *); // doesn't modify its parameter
};


#endif
