/****************************************************************
 RouletteWheel.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_RouletteWheel_H
#define INCL_RouletteWheel_H

#include "tigr++/TigrArray1D.H"
#include "Population.H"

// **************************************************
//                class RouletteWheel
// **************************************************

class RouletteWheel
{
  TigrFloatArray1D array;
  int lookup(float);
  void initializeSectors(Population &);
  void initializeSectors(vector<Individual*> &,int vectorSize);
public:
  RouletteWheel(Population &);
  RouletteWheel(vector<Individual*> &,int vectorSize);
  int spin();
};

#endif
