/****************************************************************
 Stats.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Stats_H
#define INCL_Stats_H

#include "Population.H"

class Stats
{
  float aveAccuracy; // 1-ave(standardizedFitness)
  float maxAccuracy; // max(1-standardizedFitnss)
  float minAccuracy; // min(1-standardizedFitness)
  float aveHeight;

  void computeStats(Population &);
public:
  Stats(Population &);
  void printOn(ostream &) const;
};

ostream &operator<<(ostream &,const Stats &);

#endif
