/****************************************************************
 SubtreeMutator.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_SubtreeMutator_H
#define INCL_SubtreeMutator_H

#include "tigr++/TigrVector.H"
#include "TreeNode.H"
#include "CrossPtCollector.H"
#include "Individual.H"
#include "TreeBuilder.H"

class SubtreeMutator
{
  TreeBuilder &treeBuilder;
  CrossPtCollector crossPtCollector;
  int maxHeight;
public:
  SubtreeMutator(TreeBuilder &);
  Individual *mutate(Individual *); // doesn't modify its parameter
};


#endif
