/****************************************************************
 Tournament.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_TOURNAMENT_H
#define INCL_TOURNAMENT_H

#include "Population.H"
#include "RouletteWheel.H"

class Tournament
{
  TigrVector<Individual*> v;
  RouletteWheel *wheel;
public:
  Tournament(Population &,int size);
  virtual ~Tournament();
  Individual *pickWinner();
};

#endif
