/****************************************************************
 FeatureF.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "FeatureF.H"

FeatureF::FeatureF(int n,float f) 
  : featureNum(n), F(f) 
{
  // ctor
}


bool FeatureComparator::equal(FeatureF *&a,FeatureF *&b)
{
  return a->F==b->F;
}



bool FeatureComparator::greater(FeatureF *&a,FeatureF *&b)
{
  return a->F>b->F;
}



bool FeatureComparator::less(FeatureF *&a,FeatureF *&b)
{
  return a->F<b->F;
}


