/****************************************************************
 NamesFile.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NamesFile_H
#define INCL_NamesFile_H

#include "tigr++/TigrString.H"
#include "tigr++/TigrVector.H"
#include "Schema.H"

class NamesFile
{
  TigrVector<TigrString> names;
public:
  NamesFile();
  Schema *processFile(const TigrString &filename);
  TigrString &getName(int);
};


#endif
