/****************************************************************
 Model.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_Model_H
#define INCL_Model_H

#include "PublicModel.H"
#include "../Case.H"
#include "../Schema.H"

class Model
{
  PublicModel &publicModel;
  Schema &schema;

  float P_xi_given_y(int categoryIndex,Case &);
  float P_y_given_xi(Case &,int categoryIndex);
  float P_xi(int category);
public:
  Model(PublicModel &,Schema &);
  int operator()(Case &);// returns category
};

#endif
