/****************************************************************
 PublicModel.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_PublicModel_H
#define INCL_PublicModel_H

#include "tigr++/TigrMap.H"
#include "tigr++/TigrArray1D.H"
#include "YStructure.H"

struct PublicModel
{
  YStructure yStructure;
  TigrFloatArray1D xProportions;
  TigrMap<int,int> &x2index;
  TigrMap<int,int> index2x;

  PublicModel(int numPredictors,int numCategories,
	      TigrMap<int,int> &x2Index);
};

#endif
