#!/usr/bin/perl
use strict;

die "$0 <filestem-in> <filestem-out> <feature#>\n" unless @ARGV==3;
my ($filestemIn,$filestemOut,$victim)=@ARGV;

processData("$filestemIn.data","$filestemOut.data",$victim);
processData("$filestemIn.test","$filestemOut.test",$victim);
processNamesFile("$filestemIn.names","$filestemOut.names",$victim);

sub processNamesFile
  {
    my ($infile,$outfile,$victim)=@_;
    open(IN,$infile) || die "Can't open $infile\n";
    open(OUT,">$outfile") || die "Can't create file: $outfile\n";
    $_=<IN>;
    print OUT $_;
    my $i=0;
    while(<IN>)
      {
	if(/\S/)
	  {
	    print OUT $_ unless $i==$victim;
	    ++$i;
	  }
      }
    close(IN);
    close(OUT);
  }

sub processData
  {
    my ($infile,$outfile,$victim)=@_;
    open(IN,$infile) || die "Can't open $infile\n";
    open(OUT,">$outfile") || die "Can't create file: $outfile\n";
    while(<IN>)
      {
	my @fields=split;
	next unless @fields>0;
	splice @fields,$victim,1;
	my $out=join("\t",@fields);
	print OUT "$out\n";
      }
    close(IN);
    close(OUT);
  }




