/****************************************************************
 NetworkBuilder.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NetworkBuilder_H
#define INCL_NetworkBuilder_H

#include "NeuralNetwork.H"

class NetworkBuilder
{
  static void connectLayers(int prevLayerFrom,
			    int prevLayerTo,
			    int curLayerFrom,
			    int curLayerTo,NeuralNetwork &);
public:
  static NeuralNetwork *buildNetwork(int numInputs,
				     int numOutputs,
				     int numHiddenLayers,
				     int neuronsPerLayer);
};

#endif
