/****************************************************************
 NeuralCase.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "NeuralCase.H"
#include <iostream>
using namespace std;


NeuralCase::NeuralCase(int numInputs,int numOutputs)
  : inputs(numInputs),
    outputs(numOutputs),
    category(-1)
{
  // ctor
}



NeuralCase::~NeuralCase()
{
  // dtor
}



void NeuralCase::setInput(int index,double value)
{
  inputs[index]=value;
}



void NeuralCase::setOutput(int index,double value)
{
  outputs[index]=value;
}



double NeuralCase::getInput(int index)
{
  return inputs[index];
}



double NeuralCase::getOutput(int index)
{
  return outputs[index];
}



void NeuralCase::setCategory(int c)
{
  category=c;
}



int NeuralCase::getCategory()
{
  return category;
}


