/****************************************************************
 NeuronType.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "NeuronType.H"

NeuronType::NeuronType(TransferFunction &t,InputCombiningFunction &c)
  : transferFunction(t), inputFunction(c)
{
  // ctor
}



TransferFunction &NeuronType::getTransferFunction()
{
  return transferFunction;
}



InputCombiningFunction &NeuronType::getInputCombiningFunction()
{
  return inputFunction;
}
