/****************************************************************
 NeuronType.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_NeuronType_H
#define INCL_NeuronType_H

#include "TransferFunction.H"
#include "InputCombiningFunction.H"

class NeuronType
{
  TransferFunction &transferFunction;
  InputCombiningFunction &inputFunction;
public:
  NeuronType(TransferFunction &,InputCombiningFunction &);
  TransferFunction &getTransferFunction();
  InputCombiningFunction &getInputCombiningFunction();
};

#endif
