/****************************************************************
 StandardNeuron.C
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#include "StandardNeuron.H"
#include "tigr++/TigrRandom.H"


LogisticFunction StandardNeuron::stdTransfer;
SigmaFunction StandardNeuron::stdCombiner;
NeuronType StandardNeuron::standardType(stdTransfer,
					stdCombiner);


StandardNeuron::StandardNeuron(float initialValue)
  : Neuron(initialValue,standardType)
{
  // ctor
}


StandardNeuron::StandardNeuron()
  : Neuron(Random0to1()*10,standardType)
{
  // ctor
}

