/****************************************************************
 STandardNeuron.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_StandardNeuron_H
#define INCL_StandardNeuron_H

#include "Neuron.H"
#include "SigmaFunction.H"
#include "LogisticFunction.H"

class StandardNeuron : public Neuron
{
  static LogisticFunction stdTransfer;
  static SigmaFunction stdCombiner;
  static NeuronType standardType;
public:
  StandardNeuron();
  StandardNeuron(float initialValue);
};

#endif
