/****************************************************************
 Synapse.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_SYNAPSE_H
#define INCL_SYNAPSE_H

#include <iostream>
using namespace std;

class Synapse
{
  float weight;
  int from, to; // neuron indices
public:
  Synapse();
  Synapse(float weight,int from,int to);
  Synapse &operator=(const Synapse &);
  float getWeight() const;
  int getFrom() const;
  int getTo() const;
  void changeWeight(float);
  void saveSelf(ostream &);
  void loadSelf(istream &);
};

#endif
