/****************************************************************
 TransferFunction.H
 bmajoros@tigr.org

 Copyright (c)2003, The Institute for Genomic Research (TIGR),
 Rockville, Maryland, U.S.A.  All rights reserved.  This software
 is governed by the ARTISTIC LICENSE (see www.opensource.org).
 ****************************************************************/
#ifndef INCL_TransferFunction_H
#define INCL_TransferFunction_H

class TransferFunction
{
public:
  virtual float operator()(float)=0;
  virtual float derivative(float)=0;
};

#endif
